The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / dhcp / S80dhcp-relay
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/dhcp/S80dhcp-relay b/cirros-testvm/src-cirros/buildroot-2015.05/package/dhcp/S80dhcp-relay
new file mode 100755 (executable)
index 0000000..9faa13d
--- /dev/null
@@ -0,0 +1,50 @@
+#!/bin/sh
+#
+# $Id: dhcp3-relay,v 1.1 2004/04/16 15:41:08 ml Exp $
+#
+
+# What servers should the DHCP relay forward requests to?
+# e.g: SERVERS="192.168.0.1"
+SERVERS=""
+
+# On what interfaces should the DHCP relay (dhrelay) serve DHCP requests?
+INTERFACES=""
+
+# Additional options that are passed to the DHCP relay daemon?
+OPTIONS=""
+
+# Sanity checks
+test -f /usr/sbin/dhcrelay || exit 0
+test -n "$INTERFACES" || exit 0
+test -n "$SERVERS" || exit 0
+
+# Build command line for interfaces (will be passed to dhrelay below.)
+IFCMD=""
+for I in $INTERFACES; do
+       IFCMD=${IFCMD}"-i "${I}" "
+done
+
+DHCRELAYPID=/var/run/dhcrelay.pid
+
+case "$1" in
+       start)
+               echo -n "Starting DHCP relay: "
+               start-stop-daemon -S -x /usr/sbin/dhcrelay -- -q $OPTIONS $IFCMD $SERVERS
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       stop)
+               echo -n "Stopping DHCP relay: "
+               start-stop-daemon -K -x /usr/sbin/dhcrelay
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       restart | force-reload)
+               $0 stop
+               sleep 2
+               $0 start
+               ;;
+       *)
+               echo "Usage: /etc/init.d/dhcp-relay {start|stop|restart|force-reload}"
+               exit 1
+esac
+
+exit 0